commit: df50aac851e36ca2cace74f5fcfbd1df53c87cf0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 11 06:25:46 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 11 06:25:46 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df50aac8
dev-python/tekore: Bump to 6.1.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/tekore/Manifest | 1 +
dev-python/tekore/tekore-6.1.1.ebuild | 45 +++++++++++++++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/dev-python/tekore/Manifest b/dev-python/tekore/Manifest
index ab608ced4bba..0840dbd4650f 100644
--- a/dev-python/tekore/Manifest
+++ b/dev-python/tekore/Manifest
@@ -1,2 +1,3 @@
DIST tekore-6.0.0.tar.gz 271904 BLAKE2B
f5b0b8b296506c2d91e4cb763c535485a5c0ecb872e0d9e4920a74e58b97ecb8304d9daf24ebb08a47512fa922c9962e37a1b744affaba3bf846805a07d227db
SHA512
204599394d6b7fdfd0c43f6e8ab692de2105fafddd00694194be036c12f705203d46b11be672c8b258c1cb2e7605c31f3e7721d5f8dd52b75dd83c9741615972
DIST tekore-6.1.0.tar.gz 269826 BLAKE2B
8aac1a71e9a885afeac3b2b21b685c9c4486f6b47a5b930f9b171512f5b815f7ca16283a173491ea52df27f0b535cf9e50efb2738f8732bbfe3bbeb6af991080
SHA512
d82761ec709419de113722619ec55041f8acb2b9f856176c1ff95661412fc8b09913b62627ba2ac886cabc4cac7a09216be415485c12a56fb82f6d9f97c39aa2
+DIST tekore-6.1.1.tar.gz 270451 BLAKE2B
ebd4c67dd496efe50a1173100a99ab0b4574b24869bb0cfed10bbe7e8eda78480514552fa72410a7dedbd8b6ee763e64fd716c4cc9ce103de4c0c7596d74eae7
SHA512
041d78aa79461530c7f05d60a435b7373bd2ee330debcf5dd256e3db386eb2a8fef89fa5855876c024a1125fcb456fab9e4adedbef7b2300e7243b68251e00cb
diff --git a/dev-python/tekore/tekore-6.1.1.ebuild
b/dev-python/tekore/tekore-6.1.1.ebuild
new file mode 100644
index 000000000000..1f97e17f863c
--- /dev/null
+++ b/dev-python/tekore/tekore-6.1.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Spotify Web API client"
+HOMEPAGE="
+ https://tekore.readthedocs.io/
+ https://github.com/felix-hilden/tekore/
+ https://pypi.org/project/tekore/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ dev-python/httpx[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-2[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,httpx} )
+distutils_enable_tests pytest
+# TODO: package sphinx_codeautolink
+# distutils_enable_sphinx docs/src \
+# dev-python/sphinx-rtd-theme \
+# dev-python/sphinx-tabs \
+# dev-python/sphinx-autodoc-typehints
+
+EPYTEST_DESELECT=(
+ # Internet
+
tests/auth/expiring.py::TestCredentialsOnline::test_bad_arguments_raises_error
+)
+
+src_prepare() {
+ # unpin dependencies
+ sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+
+ distutils-r1_src_prepare
+}